Index: menuselect/menuselect.h
===================================================================
--- menuselect/menuselect.h	(revision 12)
+++ menuselect/menuselect.h	(working copy)
@@ -26,7 +26,7 @@
 #ifndef MENUSELECT_H
 #define MENUSELECT_H
 
-#include "asterisk/linkedlists.h"
+#include "linkedlists.h"
 
 #define OUTPUT_MAKEOPTS_DEFAULT "menuselect.makeopts"
 #define OUTPUT_MAKEDEPS_DEFAULT "menuselect.makedeps"
Index: zttranscode.c
===================================================================
--- zttranscode.c	(revision 1183)
+++ zttranscode.c	(working copy)
@@ -369,7 +369,12 @@
 	}
 
 	physical = (unsigned long) virt_to_phys(ztc->tch);
-	if (remap_pfn_range(vma, vma->vm_start, physical >> PAGE_SHIFT, sizeof(struct zt_transcode_header), PAGE_SHARED)) {
+#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,10)
+	if (remap_page_range(vma, vma->vm_start, physical, sizeof(struct zt_transcode_header), PAGE_SHARED))
+#else
+	if (remap_pfn_range(vma, vma->vm_start, physical >> PAGE_SHIFT, sizeof(struct zt_transcode_header), PAGE_SHARED))
+#endif
+	{
 		if (debug)
 			printk("zttranscode: remap failed!\n");
 		return -EAGAIN;
